Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

## Enum BalanceType12Code

- java.lang.Object
- - java.lang.Enum<BalanceType12Code>
  - - org.kapott.hbci.sepa.jaxb.camt_052_001_03.BalanceType12Code

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<BalanceType12Code>`

    public enum BalanceType12Code
    extends java.lang.Enum<BalanceType12Code>

Java class for BalanceType12Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="BalanceType12Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="XPCD"/>
         <enumeration value="OPAV"/>
         <enumeration value="ITAV"/>
         <enumeration value="CLAV"/>
         <enumeration value="FWAV"/>
         <enumeration value="CLBD"/>
         <enumeration value="ITBD"/>
         <enumeration value="OPBD"/>
         <enumeration value="PRCD"/>
         <enumeration value="INFO"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
`CLAV`
`CLBD`
`FWAV`
`INFO`
`ITAV`
`ITBD`
`OPAV`
`OPBD`
`PRCD`
`XPCD`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BalanceType12Code` `fromValue​(java.lang.String v)`
`java.lang.String` `value()`
`static BalanceType12Code` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BalanceType12Code[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### XPCD

    public static final BalanceType12Code XPCD

#### OPAV

    public static final BalanceType12Code OPAV

#### ITAV

    public static final BalanceType12Code ITAV

#### CLAV

    public static final BalanceType12Code CLAV

#### FWAV

    public static final BalanceType12Code FWAV

#### CLBD

    public static final BalanceType12Code CLBD

#### ITBD

    public static final BalanceType12Code ITBD

#### OPBD

    public static final BalanceType12Code OPBD

#### PRCD

    public static final BalanceType12Code PRCD

#### INFO

    public static final BalanceType12Code INFO

### Method Detail

#### values

    public static BalanceType12Code[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BalanceType12Code c : BalanceType12Code.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BalanceType12Code valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public java.lang.String value()

#### fromValue

    public static BalanceType12Code fromValue​(java.lang.String v)